#include<bits/stdc++.h>
using namespace std;
string t,s,t2,tmax;
int max1,br;
int main()
{
    cin >> t;
    cin >> s;
    max1=200001;
    t2=t;
    for(int j=0;j<s.size();j++)
    {

    br=0;
    t2=t;
    for(int i=0;i<t.size();i++)
    {
        if(s[j]==t[i])
        {
            br++;
            t2[i]='*';
        }
    }
    if(br<max1)
    {
        max1=br;
        tmax=t2;
    }
    }
    cout << max1<<endl;
    cout << tmax<<endl;
}